CVE-2022-28357

NATS nats-server 2.2.0 through 2.7.4 allows directory traversal because of an unintended path to a management action from a management account.
Configurations

Configuration 1 (hide)

cpe:2.3:a:linuxfoundation:nats-server:*:*:*:*:*:*:*:*

History

19 Sep 2023, 21:26

Type Values Removed Values Added
References (CONFIRM) https://advisories.nats.io/CVE/CVE-2022-28357.txt - (CONFIRM) https://advisories.nats.io/CVE/CVE-2022-28357.txt - Third Party Advisory
References (MISC) https://github.com/nats-io/nats-server/releases - (MISC) https://github.com/nats-io/nats-server/releases - Release Notes
First Time Linuxfoundation nats-server
Linuxfoundation
CVSS v2 : unknown
v3 : unknown
v2 : unknown
v3 : 9.8
CPE cpe:2.3:a:linuxfoundation:nats-server:*:*:*:*:*:*:*:*
CWE CWE-22

19 Sep 2023, 03:37

Type Values Removed Values Added
New CVE

Information

Published : 2023-09-19 02:15

Updated : 2023-12-10 15:14


NVD link : CVE-2022-28357

Mitre link : CVE-2022-28357

CVE.ORG link : CVE-2022-28357


JSON object : View

Products Affected

linuxfoundation

  • nats-server
CWE
CWE-22

Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal')